Bug 255773 - Provide ability to view diffs graphically (eg: with kdiff3) when diffing files.
Summary: Provide ability to view diffs graphically (eg: with kdiff3) when diffing files.
Status: RESOLVED FIXED
Alias: None
Product: kdevplatform
Classification: Unclassified
Component: vcs (show other bugs)
Version: 1.1.60
Platform: openSUSE RPMs Linux
: HI wishlist (vote)
Target Milestone: 1.1.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-31 22:55 UTC by Andrew Fuller
Modified: 2011-08-03 23:55 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuller 2010-10-31 22:55:05 UTC
Version:           4.1.0 (using KDE 4.5.1) 
OS:                Linux

(Component VCS: Git is not listed when submitting a bug)

The Git integration currently shows the raw diff output when diffing a file.  It would be nice to view this in a graphical diff program.

Reproducible: Always

Steps to Reproduce:
Diff a file.  Have only tried using git.
Comment 1 Milian Wolff 2010-11-01 11:56:05 UTC
confirmed
Comment 2 Aleix Pol 2011-08-03 23:55:53 UTC
Git commit b3d313b4e3e62635b11d2827795a0cdd872c8911 by Aleix Pol.
Committed on 04/08/2011 at 01:54.
Pushed by apol into branch 'master'.

In case that we have Kompare installed, make it possible to export
our differences to Kompare.

BUG: 255773

M  +3    -7    plugins/patchreview/standardpatchexport.h
M  +48   -11   plugins/patchreview/standardpatchexport.cpp

http://commits.kde.org/kdevplatform/b3d313b4e3e62635b11d2827795a0cdd872c8911